Loading...
Searching...
No Matches
QoreXSinkException Class Reference

class for C++ exception based on an ExceptionSink object More...

`#include <QoreXSinkException.h>`

Inheritance diagram for QoreXSinkException:
[legend]
Collaboration diagram for QoreXSinkException:
[legend]

## Public Member Functions

DLLEXPORT | QoreXSinkException (ExceptionSink &xsink)
| creates the exception object More...
DLLLOCAL | QoreXSinkException (QoreXSinkException &&xsink)=default
| copy constructor
virtual DLLEXPORT | ~QoreXSinkException ()
| Destroys the object.
virtual void | convert (ExceptionSink *xsink)
| Raises the corresponding Qore exception in the ExceptionSink. More...
DLLLOCAL QoreXSinkException & | operator= (QoreXSinkException &&)=default
| Default assignment operator.
Public Member Functions inherited from AbstractException
virtual DLLLOCAL | ~AbstractException ()=default
| Default virtual destructor.
virtual void | convert (ExceptionSink *xsink)=0
| Raises the corresponding Qore exception in the ExceptionSink. More...

## Additional Inherited Members

Protected Member Functions inherited from AbstractException
DLLLOCAL | AbstractException ()=default
| Default constructor.

## Detailed Description

class for C++ exception based on an ExceptionSink object

## Constructor & Destructor Documentation

## QoreXSinkException()

DLLEXPORT QoreXSinkException::QoreXSinkException | ( | ExceptionSink & | xsink | ) |

creates the exception object

after this call, the xsink argument can no longer be used

## Member Function Documentation

## convert()

virtual void QoreXSinkException::convert | ( | ExceptionSink * | xsink | ) |

virtual

Raises the corresponding Qore exception in the ExceptionSink.

Parameters

  xsink | the exception sink

Implements AbstractException.

The documentation for this class was generated from the following file:

- include/qore/QoreXSinkException.h